# class Net::HTTP

Monkey patch for `Net::HTTP` by ruby open-uri fix: github.com/ruby/ruby/commit/58835a9

### Private Instance Methods

edit_path(path) click to toggle source

    # File lib/mini_portile2/mini_portile.rb, line 19
    def edit_path(path)
      if proxy?
        if path.start_with?("ftp://") || use_ssl?
          path
        else
          "http://#{addr_port}#{path}"
        end
      else
        path
      end
    end